<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="CategoryListing.ascx.cs" Inherits="EPiServer.Composer.Functions.CategoryListing" %>
<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.Web.WebControls" %>

<div class="CategoryListingBlock" >
	<EPiServer:PageList runat="server" ID="PageList">
		<HeaderTemplate>
		    <h2>
			    <Extension:Property PropertyName="Heading" DisplayMissingMessage="false" runat="server" />
		    </h2>
			<ul>
		</HeaderTemplate>
		<ItemTemplate>
			<li>
                <h3>
				    <EPiServer:Property PropertyName="PageLink" runat="server" />
                </h3>
				<span class="datetime">
				   <%# GetPublishedText(Container.CurrentPage) %> 
				</span>
				<p>
					<%# GetPreviewText(Container.CurrentPage) %>
				</p>
			</li>
		</ItemTemplate>
		<FooterTemplate>
			</ul></FooterTemplate>
	</EPiServer:PageList>
</div>